Subject: (ION) inter-ELAN Communication

From: Shafia Kausar <[email-masked]>
Date: Tue, 18 May 1999 05:33:57 -0500 (CDT)

Hello,

I have been working on LANE and MPOA for past few months, I thought I
understood most of the communication process but now  I have a very basic
doubt with regard to inter-ELAN communication. 

LAN Emulation enables the implementation of emulated LANs over an ATM
network (something akin to a physical LAN). Most of the implementations
assume that the ELANs talk to each other through a router. To over the
drawbacks of which MPOA is defined.

The LANE documentation specifies that they(ELANs) use an interconnection
device(bridge, router - Ref: LANE v2.0 specification) for communication.

Why do we need a communication device like a bridge or router between the
ELANs - I agree ELANs are logically independent and require some device to
communicate but why a router/bridge when they are overlayed on an ATM
network and the emulated LAN comprises a group of ATM attached hosts?

How does the communication process proceed when a bridge is used? 

Either I am overthinking or I missed something in this communication
process. Any help is welcome.

thanks
-Shafia

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<</\>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
The hardest thing to learn in life is which bridge to cross and which to
burn. 						 -David Russell
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.

---

From: Srinivasan Balaji <[email-masked]>
Date: Tue, 18 May 1999 16:11:22 -0400

Shafia,

> drawbacks of which MPOA is defined.

You need a router for MPOA also for default traffic and for forwarding MPOA
control packets across subnet boundaries.

> network and the emulated LAN comprises a group of ATM attached hosts?

Two different ELANs are like two different IP subnets and hence they can only
talk to each other using an IP router connecting them. You can assume an ELAN to
be like an ethernet network and all the pieces will fit together.

> How does the communication process proceed when a bridge is used?

The context of bridge in case of ELANs is wrt extending an ethernet segment into
an ATM network. Some of the devices on the LAN will be on a physical ethernet
network and the other would be on an ATM network. A bridge supporting LANE
(specifically LEC) will connect the ethernet segment to the ATM network in a
transparent fashion.

Hope it helps.

Balaji.

--
Srinivasan Balaji
Ficon Technology
Tel:  (732) 283-2770  x303
Fax:  (732) 283-2848
mailto:[email-masked]
web:http://www.ficon-tech.com

---

From: "Albert Manfredi" <[email-masked]>
Date: Tue, 18 May 1999 10:38:49 -0400

charset="iso-8859-1" 
Content-Transfer-Encoding: 7bit 
X-Priority: 3 
X-MSMail-Priority: Normal 
X-Mailer: Microsoft Outlook Express 5.00.2014.211 
X-MimeOLE: Produced By Microsoft MimeOLE V5.00.2014.211
Sender: [email-masked]
Precedence: bulk
X-Info: [Un]Subscribe to [email-masked]
X-Info: Submissions to [email-masked]
X-Info: Email archive at ftp://ftp.ietf.org/ietf-mail-archive/ion/
----- Original Message ----- 
From: Shafia Kausar <[email-masked]>
[ ... ]

> network and the emulated LAN comprises a group of ATM attached 
hosts?

You don't necessarily need a bridge, but you do need a router. Why? 
Simply because packets sent to another IP subnet than the sending 
host's IP subnet must be sent to a router. When you do ARP over 
LANE, you will not get responses from hosts that are not in your own 
IP subnet (assuming IP here). ARP over LANE is exactly like ARP over 
Ethernet or FDDI, right? The default router is used. Even if two or 
more IP subnets share the same medium, ARP responses only come from 
hosts within the sending host's IP subnet.

> How does the communication process proceed when a bridge is used?

Same as it would with bridges between Ethernets. Packets addressed 
to certain MAC addresses will end up at the same ATM interface, the 
one which responds to the standard ARP. If you use multicast, LANE 
v2 will either broadcast the packet to all LANE hosts in that 
emulated LAN, as a normal Ethernet would do, or LANE can set up 
specific pt-mpt VCs for individual multicast groups within the ELAN. 
(But even if it does, these still have to go via the BUS. LANE 
doesn't set up pt-mpt VCs from the source directly to the 
destinations, as RFC 2022 allows.)

Bert 
[email-masked]
X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.